import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class SessionInfoServlet extends HttpServlet {
  private static final String CONTENT_TYPE = "text/html";
  /**Initialize global variables*/
  public void init() throws ServletException {
  }
  /**Process the HTTP Get request*/
  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    response.setContentType(CONTENT_TYPE);
    response.setHeader("pragma", "no-cache"); //ei vlimuistia
    PrintWriter out = response.getWriter();

    HttpSession session = request.getSession(false); //ei luoda sessiota

    out.println("<html>");
    out.println("<head><title>Webapplication tutoriaali - SessionInfoServlet</title></head>");
    out.println("<body>");
    out.println("<p>");

    if( session != null ) //onko sessio olemassa, ei luoda tss
    {
      out.println("Uusi " + session.isNew()+ "<BR>" );
      out.println( "ID " + session.getId() + "<BR>");
      out.println( "Luotu " + session.getCreationTime() + "<BR>");
      out.println( "Ksitelty viimeksi " + session.getLastAccessedTime() + "<BR>");
      out.println( "Voimassa " + session.getMaxInactiveInterval() + "<BR>");
      Enumeration e = session.getAttributeNames();

      out.println("Sessiolla on seuraavat attribuutit:<BR>" );
      while ( e.hasMoreElements() )
      {
        out.println( e.nextElement()+ "<BR>");
      }
    }
    else
    {
      out.println("<h3>Sessiota ei ole.</h3>");
    }

    out.println("</p>");
    out.println("</body></html>");
  }
  /**Process the HTTP Post request*/
  public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    doGet(request, response);
  }
  /**Clean up resources*/
  public void destroy() {
  }
}
