/*
  public java.lang.String encodeURL(java.lang.Stringurl)
  Encodes the specified URL by including the session ID in it, or,
  if encoding is not needed, returns the URL unchanged.

  The implementation of this method includes the logic to determine whether the
  session ID needs to be encoded in the URL. For example, if the browser
  supports cookies, or session tracking is turned off, URL encoding is
  unnecessary. For robust session tracking, all URLs emitted by a servlet
  should be run through this method. Otherwise, URL rewriting cannot be used
  with browsers which do not support cookies.Parameters:url - the url to be
  encoded.Returns:the encoded URL if encoding is needed;
  the unchanged URL otherwise.

  Aseta cookies pois plt, kynnist selain uudestaan ja testaa

  session.jsp
*/
import java.util.*;

//   Servlet Libraries
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.net.URL;
import util.*;

public class ShoppingCart extends HttpServlet
{

   public void doPost(HttpServletRequest req, HttpServletResponse res)
            throws ServletException, IOException
   {

      // otetaan session objekti, luodaan jos ei ole olemassa
      HttpSession session = req.getSession(true);

      //   Luetaan yksi session attribuutti
      Integer itemCount = (Integer) session.getValue("itemCount");

      //  Jos sessio on uusi (luotu edell), niin itemCount oliota ei ole
      if (itemCount == null)
      {
         itemCount = new Integer(0);
      }

      PrintWriter out = res.getWriter();
      res.setContentType("text/html");


      String[] itemsSelected;
      String itemName;
      itemsSelected = req.getParameterValues("item");

      //Jos oltiin valittu ostoksia, niin listn ne sessioon
      if (itemsSelected != null)
      {
         for (int i=0 ; i < itemsSelected.length ; i++)
         {
            itemName = itemsSelected[i];
            itemCount = new Integer(itemCount.intValue() + 1);

            session.putValue("Item" + itemCount, itemName);

            session.putValue("itemCount", itemCount);
         }
      }

      HTML h = new HTML("Shopping Cart Contents");
      h.add(HTML.HEADING, "Items currently in your cart", false);
      h.add(HTML.LINE, "", false);

      for(int i = 1; i <= itemCount.intValue(); i++)
      {
         String item = (String) session.getValue("Item" + i);
         h.add(HTML.NORMAL, item, true);

      }

      h.add(HTML.LINE, "", false);
      h.add(HTML.NORMAL, "<A HREF=\"../ShoppingCart.html\">Back to the shop</A>", true);

      //URL url = new URL("http", "localhost", "tutor\\session.jsp");
      //muuta suhteelliseksi
      String URL = "../session.jsp";
      String encodedURL = res.encodeURL( URL);


      h.add(HTML.NORMAL, "<A HREF=\"" + encodedURL + "\">sessiotiedot JSP </A>" , true );
      h.add(HTML.NORMAL, "<A HREF=\"" + URL + "\">sessiotiedot JSP(ei encodedURL)</A>" , true );

      URL = "SessionInfoServlet";
      encodedURL = res.encodeURL( URL );

      h.add(HTML.NORMAL, "<A HREF=\"" + encodedURL + "\">sessiotiedot servlet</A>" , true );
      h.add(HTML.NORMAL, "<A HREF=\"" + URL + "\">sessiotiedot servlet(ei encodedURL)</A>" , true );
      out.println(h.getPage());
      out.close();
   }
}
