/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 *
 * Modified 8.1.2003 for JDK 1.4 by Pekka Kosonen
 * (all beans must be in packages in JDK1.4)
 */

package pavut;

import java.text.DateFormat;
import java.util.*;

public class MyDate {
   Date today;
   DateFormat dateFormatter;

   public MyDate() {
      today = new Date();
   }

   public String getDate() {
      return dateFormatter.format(today);
   }

   public Date getToday() {
      return today;
   }

   /* Added 9.1.2003 by Pekka Kosonen if someone
      wanted to format another date than today.
   */
   public void setToday(Date paiva)
   {
     today = paiva;
   }

   public void setLocale(Locale l) {
      dateFormatter = DateFormat.getDateInstance(DateFormat.FULL, l);
   }

   public String toFinnishDateTime(Date paiva) {
      Locale l = new Locale("fi","FI");
      dateFormatter = DateFormat.getDateTimeInstance(DateFormat.FULL, DateFormat.DEFAULT, l);
      return dateFormatter.format(paiva);
   }

   public String toFinnishDate(Date paiva) {
      Locale l = new Locale("fi","FI");
      dateFormatter = DateFormat.getDateInstance(DateFormat.FULL, l);
      return dateFormatter.format(paiva);
   }

}
