package sendmail;

import javax.mail.*;
import javax.mail.internet.*;

import javax.servlet.*;
import javax.servlet.http.*;

import java.io.*;
import java.util.*;

public class SendMail extends HttpServlet {

   private String smtpHost = "mail.jypoly.fi";

   public void doPost( HttpServletRequest request, HttpServletResponse response)
   throws ServletException, java.io.IOException
   {
      String from = request.getParameter("from");
      String to = request.getParameter("to");

      if( to == null )
        to = (String) request.getAttribute("to"); //ryhmposti kytt

      String cc = request.getParameter("cc");
      String bcc = request.getParameter("bcc");
      String subject = request.getParameter("subject");
      String text = request.getParameter("text");

      String status = "Sendmail:";
      System.out.println(status + to);

      try {
         // Luodaan JavaMail sessio
         java.util.Properties properties = System.getProperties();
         properties.put("mail.smtp.host", smtpHost);

         Session session = Session.getInstance(properties, null);

         // Kasataan viesti
         MimeMessage message = new MimeMessage(session);


         Address fromAddress = new InternetAddress(from);
         message.setFrom(fromAddress);

         //parsitaan ja asetetaan vastaanottajien osoitteet
         Address[] toAddresses = InternetAddress.parse(to);
         message.setRecipients(Message.RecipientType.TO,toAddresses);


         if( cc != null )
         {
           Address[] ccAddresses = InternetAddress.parse(cc);
           message.setRecipients(Message.RecipientType.CC,ccAddresses);
         }

         if( bcc != null )
         {
           Address[] bccAddresses = InternetAddress.parse(bcc);
           message.setRecipients(Message.RecipientType.BCC,bccAddresses);
         }
         if( subject != null )
         {
           message.setSubject(subject);
         }
         if( text != null )
         {
           message.setText(text);
         }

         Transport.send(message);

         status = "Viestisi lhettiin.";

         } catch (AddressException e) {
            status = "Virheellinen osoite.<BR>" + e.toString() ;
      System.out.println(status);
         } catch (SendFailedException e) {
            status = "Viestin lhettminen eponnistui.<BR>"+ e.toString();
      System.out.println(status);
         } catch (MessagingException e) {
            status = "Viestin lhettminen eponnistui.<BR>"+ e.toString();
      System.out.println(status);
         }

      response.setContentType("text/html");

      PrintWriter out = response.getWriter();

      out.println("<html><head><title>"+status + "</title></head>");
      out.println("<body><p>" + status + "</p></body></html>");

      out.close();
   }

   public void doGet(HttpServletRequest request, HttpServletResponse response)
   throws ServletException, java.io.IOException
   {
      doPost(request, response);
   }
}
